@echo off
cls

REM Checkimg for proper command line usage.
if "%1" == "" goto usage

REM Checking for enough drive space.
disksize %1 4000000
if errorlevel 1 goto usage2

REM Checking for Proper Drive
if not exist tftd.zip goto usage3

REM Creating Install Directory
md %1\mps
md %1\mps\tftd
if not exist %1\mps\tftd\nul goto error1

REM Installing UPDATE Software
:install
pkunzip -o -d tftd %1\mps\tftd

Rem Checking for errors
if errorlevel 1 goto error2

goto end

:usage
cls
echo You must supply the DRIVE you wish to install the Terror From the 
echo Deep demo to.
echo EXAMPLE:  INSTALL C:
goto EOF

:usage2
cls
echo The Terror From The Deep Demo Requires 4 Megabytes of Hard drive
echo space to install. Drive %1 doesn't have enough space to install TFTD.
echo Please free up some space on the %1 Drive and try again.
goto EOF

:usage3
cls
echo This install must be run from the same DRIVE/DIRECTORY that the 
echo Terror From the Deep Demo files are located in.  Please change to that
echo DRIVE/DIRECTORY and run INSTALL again.
goto EOF

:error1
cls
echo The install was unable to create the installation directory.
echo This means that you do not have enough disk space or that you forgot
echo to put a : on the drive letter to install to, or the installation
echo directory already exists.  If the directory %1\MPS\TFTD already exists
echo on your hard drive then use the -O command to overwrite the existing
echo directory.
echo EXAMPLE:  INSTALL C: -O
if "%2" == "-o" goto install
if "%2" == "-O" goto install
if "%2" == "o" goto install
if "%2" == "O" goto install
goto EOF

:error2
cls
echo An Error has occured while installing the software, you may have
echo a bad copy.  Please try the install again, if it fails then get
echo another copy of this update.
goto EOF

:end
cls

echo Installation Complete!


%1

cd \mps\tftd


echo type TFTD to run the demonstration˙

:EOF

